# Provides load level stats

Pass in your API keys and track end date range to pull data by load number

Endpoint: POST /report/getReportStat/loadtrack
Version: 2.0.0

## Request fields (application/json):

  - `accountId` (string, required)
    Your account ID provided by Trucker Tools
    Example: yIXbN9xjC7xINRc2kszHJQ==

  - `partnerId` (string, required)
    Your TMS system ID provided by Trucker Tools
    Example: 3

  - `startDate` (string, required)
    Start of time period to pull data. Based on scheduled end time of track
    Example: 2023-01-01

  - `endDate` (string, required)
    End of time period to pull data. Based on scheduled end time of track
    Example: 2023-01-01

## Response 200:

  - `200` (unknown)
    API call to pull stats was successful

## Response 200 fields (application/json):

  - `status` (boolean, required)
    Status of API call
    Example: true

  - `callTimestamp` (string, required)
    Timestamp of API call in UTC
    Example: 2024-01-23 03:01:32 UTC

  - `dataCount` (number, required)
    Number of records returned
    Example: 3525

  - `reports` (array, required)

  - `reports.loadNumber` (string, required)
    Customer load number
    Example: 1234

  - `reports.dispatcher` (string)
    ID of the dispatcher assigned to the load
    Example: dispatcher1

  - `reports.scheduledStartDate` (string, required)
    Scheduled start date of the load in the time zone received from TMS (Typically local)
    Example: 2022-12-30 05:00:00 CST

  - `reports.actualStartDate` (string)
    Actual start date of the load in the time zone received from driver device (Typically local). Null if the load has not started.
    Example: 2022-12-30 05:00:00 CST

  - `reports.scheduledEndDate` (string, required)
    Scheduled end date of the load in the time zone received from TMS (Typically local)
    Example: 2022-12-31 05:00:00 CST

  - `reports.actualEndDate` (string)
    Actual end date of the load in the time zone received from driver device (Typically local). Null if the load has not ended.
    Example: 2022-12-31 05:00:00 CST

  - `reports.cancelled` (string)
    Flag if the load was cancelled. "Yes" if true, "" if false
    Example: Yes

  - `reports.notMobileNumber` (string)
    Flag if the driver phone number was not a mobile number. "Yes" if true, "" if false
    Example: Yes

  - `reports.toBeTracked` (string)
    Flag if the load could be tracked (Assigned, not cancelled, mobile number or ELD assigned ). "Yes" if true, "" if false
    Example: Yes

  - `reports.tracked` (string)
    Flag if the load was tracked (At least one location update). "Yes" if true, "" if false
    Example: Yes

  - `reports.consistentlyTracked` (string)
    Flag if the load was consistently tracked (Every 60 minutes, every 60 miles, updates on every geofence). "Yes" if true, "" if false
    Example: Yes

  - `reports.partialConsistencyPercentage` (string)
    Percentage of hours the load actually tracked for vs. hours it was scheduled to track for
    Example: 90

  - `reports.assigned` (string)
    Flag if the load was assigned to a driver. "Yes" if true, "" if false
    Example: Yes

  - `reports.lateAssigned` (string)
    Flag if the load was assigned to a driver after the start time. "Yes" if true, "" if false
    Example: Yes

  - `reports.stopCount` (number)
    Count of stops on the load
    Example: 3

  - `reports.stopsEntered` (number)
    Count of stops on the load that were entered by the driver
    Example: 2

  - `reports.pickupEntered` (string)
    Flag if the pickup geofence was entered. "Yes" if true, "" if false
    Example: Yes

  - `reports.deliveryEntered` (string)
    Flag if the delivery geofence was entered. "Yes" if true, "" if false
    Example: Yes

  - `reports.pickupState` (string)
    State code of the pickup location
    Example: TX

  - `reports.pickupCity` (string)
    City of the pickup location
    Example: HOUSTON

  - `reports.deliveryState` (string)
    State code of the delivery location
    Example: VA

  - `reports.deliveryCity` (string)
    City of the delivery location
    Example: RICHMOND

  - `reports.eldLoad` (string)
    Flag if the carrier on the load was ELD integrated. "Yes" if true, "" if false
    Example: Yes

  - `reports.shipper` (string)
    Shipper ID provided for the load
    Example: shipperA

  - `reports.shipperEmail` (string)
    Shipper email(s) provided for the load to receive updates. Can be comma separated list.
    Example: track@shipper.com

  - `reports.carrierName` (string)
    Name of the carrier hauling the load
    Example: Carrier A

  - `reports.carrierDocket` (string)
    Docket number of the carrier hauling the load
    Example: MC1234

  - `reports.driverPhoneNumber` (string)
    Phone number of the driver hauling the load
    Example: 1231231234

